Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

## Class PartySEPAChoice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_002_02.PartySEPAChoice

    public class PartySEPAChoice
    extends java.lang.Object

Java class for PartySEPAChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartySEPAChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="OrgId" type="{urn:swift:xsd:$pain.002.002.02}OrganisationIdentificationSEPAChoice"/>
               <element name="PrvtId" type="{urn:swift:xsd:$pain.002.002.02}PersonIdentification3"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected OrganisationIdentificationSEPAChoice` `orgId`
`protected PersonIdentification3` `prvtId`

### Constructor Summary

Constructors
`PartySEPAChoice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OrganisationIdentificationSEPAChoice` `getOrgId()` Gets the value of the orgId property.
`PersonIdentification3` `getPrvtId()` Gets the value of the prvtId property.
`void` `setOrgId​(OrganisationIdentificationSEPAChoice value)` Sets the value of the orgId property.
`void` `setPrvtId​(PersonIdentification3 value)` Sets the value of the prvtId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### orgId

    protected OrganisationIdentificationSEPAChoice orgId

#### prvtId

    protected PersonIdentification3 prvtId

### Constructor Detail

#### PartySEPAChoice

    public PartySEPAChoice()

### Method Detail

#### getOrgId

    public OrganisationIdentificationSEPAChoice getOrgId()

Gets the value of the orgId property.

Returns:
  possible object is `OrganisationIdentificationSEPAChoice`

#### setOrgId

    public void setOrgId​(OrganisationIdentificationSEPAChoice value)

Sets the value of the orgId property.

Parameters:
  `value` - allowed object is `OrganisationIdentificationSEPAChoice`

#### getPrvtId

    public PersonIdentification3 getPrvtId()

Gets the value of the prvtId property.

Returns:
  possible object is `PersonIdentification3`

#### setPrvtId

    public void setPrvtId​(PersonIdentification3 value)

Sets the value of the prvtId property.

Parameters:
  `value` - allowed object is `PersonIdentification3`